# PhingReference

Extends \Reference

Helper class that implements the nested <reference> element of <phing> and <phingcall>.

package | phing.tasks.system

### Methods

## __construct

    __construct( $id = null)

inherited

### Arguments

#### $id

``

## returns reference to object in references container of project

    getReferencedObject( $project)

inherited

### Arguments

#### $project

``

## getRefId

    getRefId()

inherited

## Get the id under which this reference will be stored in the new project

    getToRefid() : \the

### Response

`\the`

id of the reference in the new project.

## setRefId

    setRefId( $id)

inherited

### Arguments

#### $id

``

## Set the id that this reference to be stored under in the new project.

    setToRefid( $targetid)

### Arguments

#### $targetid

``

### Properties

## targetid

    targetid :

### Type(s)

``

## refid

    refid :

inherited

### Type(s)

``